## obsession 20140608

=== Makefile ===
-include makefile.mk

PREFIX ?=/usr/local
LOCALE_DIR=$(PREFIX)/share/locale


# Building flags.
CFLAGS ?=-march=native -mtune=generic -O2 -Wall
VALAFLAGS:=$(foreach w,$(LDFLAGS) $(CFLAGS) $(CPPFLAGS),-X $(w))
CFLAGS +=$(shell pkg-config --cflags gtk+-2.0 dbus-1 x11 gio-unix-2.0) -I.
LDFLAGS+=$(shell pkg-config --libs gtk+-2.0 glib-2.0 dbus-1 x11 gio-unix-2.0)

# PO and MO files
LINGUAS= $(shell ls po/*.po)
I18N_MO= $(LINGUAS:.po=.mo)


all: obsession-exit obsession-logout xdg-autostart $(I18N_MO)

.SUFFIXES: .c

.c.o:
	@echo "Compiling $<"
	@gcc -o $@ -c $< $(CFLAGS) $(CPPFLAGS)

obsession-exit: obsession-exit.o dbus-interface.o obsession-common.o config.h
	@echo "Building $@"
	@$(CC) -o $@ $(filter-out %.h,$^) $(LDFLAGS)
	@strip -s $@

obsession-logout: obsession-logout.o dbus-interface.o obsession-common.o config.h
	@echo "Building $@"
	@$(CC) -o $@ $(filter-out %.h,$^) $(LDFLAGS)
	@strip -s $@

xdg-autostart:  autostart/xdg-autostart.vala
	@echo "Building $@"
	@valac -o $@ $(VALAFLAGS) $^
	@strip -s $@

po/%.mo: po/%.po
	msgfmt -o $@ $<

PHONY: clean install configure mrproper

mrproper: clean
	rm -f makefile.mk

clean:
	rm -f obsession-exit obsession-logout xdg-autostart *.o $(I18N_MO)

configure:
	sed -i 's#define PREFIX.*#define PREFIX "$(PREFIX)"#' config.h
	echo "PREFIX ?= $(PREFIX)" > makefile.mk

install: all
	install -D -m0755 obsession-exit   $(DESTDIR)$(PREFIX)/bin/obsession-exit
	install -D -m0755 obsession-logout $(DESTDIR)$(PREFIX)/bin/obsession-logout
	install -D -m0755 xdg-autostart    $(DESTDIR)$(PREFIX)/bin/xdg-autostart
	# mo files.
	for f in $(I18N_MO) ; do \
		F=`basename $$f | sed 's/\.[^\.]*$$//'`;\
		install -D -m0644 $$f $(DESTDIR)$(LOCALE_DIR)/$$F/LC_MESSAGES/obsession-logout.mo;\
	done
	for f in `ls images/*.png`; do \
		install -D -m0644 $$f $(DESTDIR)$(PREFIX)/share/obsession/$$f;\
	done

=== debian/changelog ===
obsession (20140608-3) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Fix Homepage
  * Point Vcs fields to Salsa
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * d/copyright: FSF address is redundant because the copy
    of the license is provided by Debian
  * Permit failure of blhc in Salsa CI

  [ Helmut Grohne ]
  * Enable cross building
    Closes: #893521

  [ Vladimir K ]
  * Add desktop entry
    Closes: #888486

 -- Andreas Tille <tille@debian.org>  Sat, 12 Apr 2025 06:51:44 +0200

obsession (20140608-2) unstable; urgency=low

  * Fix configuration of package (l10n now works)
  * Fix make clean (reverting files changed by the configure step)
  * Added comments reguarding typos in copyright headers, patch forwarded
    upstream
  * Bumping standards version to 3.9.6, no changes needed

 -- Fabien Givors <f+debian@chezlefab.net>  Sat, 11 Oct 2014 13:31:48 +0200

obsession (20140608-1) unstable; urgency=low

  * Initial release (Closes: #731278).

 -- Fabien Givors <f+debian@chezlefab.net>  Tue, 16 Sep 2014 16:03:03 +0200

=== debian/control ===
Source: obsession
Maintainer: Fabien Givors <f+debian@chezlefab.net>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libdbus-1-dev,
               libx11-dev,
               libgtk2.0-dev,
               valac
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/obsession
Vcs-Git: https://salsa.debian.org/debian/obsession.git
Homepage: https://github.com/fabriceT/obsession

Package: obsession
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gnome-icon-theme
Description: Session management helpers for lightweight desktop environments
 This package provides the following tools:
  * obsession-logout displays a dialog where you can choose if you want
    to quit the session, power off, suspend or hibernate the computer.
  * obsession-exit: this is the command line version of obsession-logout.
  * xdg-autostart start automatically programs defined in
    /etc/xdg/autostart and ~/.config/autostart.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PREFIX=/usr
export DEB_LDFLAGS_MAINT_APPEND=-Xlinker --as-needed
%:
	dh $@

override_dh_auto_configure:
	make configure

=== debian/watch ===
version=4

# FIXME: There ia a "version" should_be_ok which is not catched here
opts="mode=git, dversionmangle=auto" \
  https://github.com/fabriceT/obsession.git refs/tags/v?@ANY_VERSION@
